
From: "Randy.Dunlap" <rddunlap@osdl.org>

Fix 3 instances of bad calls to i2o_pci_free(), from init to exit
code sections:
Error: ./drivers/message/i2o/pci.o .init.text refers to 000000f7 
R_386_PC32        .exit.text
Error: ./drivers/message/i2o/pci.o .init.text refers to 000003bc 
R_386_PC32        .exit.text
Error: ./drivers/message/i2o/pci.o .init.text refers to 00000572 
R_386_PC32        .exit.text

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/message/i2o/pci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/message/i2o/pci.c~i2o-fix-init-exit-section-usage drivers/message/i2o/pci.c
--- 25/drivers/message/i2o/pci.c~i2o-fix-init-exit-section-usage	2005-01-10 17:29:39.970810432 -0800
+++ 25-akpm/drivers/message/i2o/pci.c	2005-01-10 17:29:39.974809824 -0800
@@ -83,7 +83,7 @@ int i2o_dma_realloc(struct device *dev, 
  *	Remove all allocated DMA memory and unmap memory IO regions. If MTRR
  *	is enabled, also remove it again.
  */
-static void __devexit i2o_pci_free(struct i2o_controller *c)
+static void i2o_pci_free(struct i2o_controller *c)
 {
 	struct device *dev;
 
_
